﻿Public Class StatsForm
    Private Sub btnExit_Click(sender As Object, e As EventArgs) Handles btnExit.Click
        'Close this statisics form
        Me.Close()
    End Sub

    Private Sub StatsForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim dblHoursSleep As Double 'The amount of sleep the animals got in past 24 hours

        'Find out how much sleep everyone got - this will help calculate the Team Alert Level
        Try
            'Loop until answer is between 0 and 24, inclusive
            Do
                Dim strResponse As String = InputBox("How many hours of sleep did the animals get in the past 24 hours (0-24)?", "Hours of Sleep")
                dblHoursSleep = CDbl(strResponse)
            Loop Until dblHoursSleep >= 0 And dblHoursSleep <= 24

        Catch ex As Exception
            'Bad data
            MessageBox.Show("Cannot display an accurate Team Alert Level with the data entered", "Invalid Data", MessageBoxButtons.OK, MessageBoxIcon.Error)
            lblAwake.Text = "Not available"
        End Try

        'Nearly all the action happens here so users see current statistics as soon as the form displays

    End Sub
End Class